#
# Conditional build:
%bcond_without	xpm	# without XPM support (requires X11 libs)
#
Summary:	Library for PNG, JPEG creation
Summary(es):	Biblioteca para manipulacin de imgenes
Summary(pl):	Biblioteka do tworzenia grafiki w formacie PNG, JPEG
Summary(pt_BR):	Biblioteca para manipulao de imagens
Name:		gd
Version:	2.0.28
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://www.boutell.com/gd/http/%{name}-%{version}.tar.gz
# Source0-md5:	14bf0b840b309ae8a29934a7a0743fd3
Patch0:		%{name}-fontpath.patch
Patch1:		%{name}-no_ldflags_in_gdlib-config.patch
URL:		http://www.boutell.com/gd/
%{?with_xpm:BuildRequires:	XFree86-devel}
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	zlib-devel
%{!?with_xpm:BuildConflicts:	XFree86-devel}
Provides:	gd(gif) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gd is the image manipulating library. It was created to allow graphs,
charts and the like to be generated on the fly for use on the World
wide Web, but is useful for any application in which custom images are
useful. It is not a paint program; it is a library. gd library creates
PNG, JPEG, GIF and WBMP images. PNG is a more compact format, and full
compression is available. JPEG works well with photographic images,
and is still more compatible with the major Web browsers than even PNG
is. WBMP is intended for wireless devices (not regular web browsers).

%description -l es
Esta es la biblioteca gd para el manejo de imgenes. Fue creada para
uso en la Web, creando grficos automticamente. Pero es til para
cualquier programa que necesite de imgenes personalizados. No es un
programa de dibujo; es una biblioteca.

%description -l pl
gd to biblioteka do obrbki obrazw. Zostaa stworzona, aby umoliwi
dynamiczne generowanie wykresw i podobnych rzeczy na potrzeby WWW,
ale moe by przydatna take dla kadej aplikacji tworzcej wasne
obrazy. Biblioteka ta pozwala na tworzenie plikw graficznych w
formatach PNG, JPEG, GIF i WBMP. PNG jest zwartym formatem z
bezstratn kompresj. JPEG dobrze nadaje si do obrazw
fotograficznych i jest obsugiwany nawet przez wicej przegldarek WWW
ni PNG. WBMP jest przeznaczony dla urzdze bezprzewodowych (a nie
zwykych przegldarek WWW).

%description -l pt_BR
Esta  a biblioteca gd para manipulao de imagens. Ela foi criada
para uso na Web, gerando grficos automaticamente. Mas  til para
qualquer programa que precise de imagens personalizados. No  um
programa de desenho;  uma biblioteca.

%package devel
Summary:	Development part of the GD library
Summary(es):	Archivos de inclusin y bibliotecas para desarrollar programas usando gd
Summary(pl):	Cz biblioteki GD przeznaczona dla developerw
Summary(pt_BR):	Arquivos de incluso e bibliotecas para desenvolver programas usando gd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_xpm:Requires:	XFree86-devel}
Requires:	freetype-devel >= 2.0
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	zlib-devel
Provides:	gd-devel(gif) = %{version}-%{release}

%description devel
This package contains the files needed for development of programs
linked against GD.

%description devel -l es
Este paquete contiene los archivos de inclusin y las bibliotecas
necesarias para desarrollar programas usando gd.

%description devel -l pl
Pakiet ten zawiera pliki potrzebne do rozwoju programw korzystajcych
z biblioteki GD.

%description devel -l pt_BR
Este pacote contm os arquivos de incluso e as bibliotecas
necessrias para desenvolver programas usando gd.

%package static
Summary:	Static GD library
Summary(pl):	Statyczna biblioteka GD
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libgd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	gd-static(gif) = %{version}-%{release}

%description static
This package contains static gd library.

%description static -l pl
Ten pakiet zawiera statyczn bibliotek gd.

%description static -l pt_BR
Este pacote contem bibliotecas estticas para desenvolvimento com
libgd.

%package progs
Summary:	Utility programs that use libgd
Summary(es):	Programas utilitarios libgd
Summary(pl):	Narzdzia uywajce libgd
Summary(pt_BR):	Programas utilitrios libgd
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
These are utility programs supplied with gd, the image manipulation
library. The libgd-progs package contains a group of scripts for
manipulating the graphics files in formats which are supported by the
libgd library.

%description progs -l pl
Ten pakiet zawiera programy uywajce biblioteki gd, suce do
obrbki plikw graficznych w formatach obsugiwanych przez libgd.

%description progs -l pt_BR
Este pacote inclui vrios utilitrios para manipulao de arquivos gd
para uso pelos programas que usam a libgd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING index.html
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gdlib-config
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/[!g]*
%attr(755,root,root) %{_bindir}/gd[!l]*
